Bug 1730251 (CVE-2019-2821)

Summary: CVE-2019-2821 OpenJDK: Incorrect handling of certificate status messages during TLS handshake (JSSE, 8222678)
Product: [Other] Security Response Reporter: Tomas Hoger <thoger>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: ahughes, dbhole, jvanek, security-response-team
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-08-07 12:38:26 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1724467, 1724468, 1724469, 1724470, 1731479    
Bug Blocks: 1724463    

Description Tomas Hoger 2019-07-16 10:04:14 UTC
A flaw was found in the way the JSSE component of OpenJDK handled certificate status / OCSP stapling message during TLS handshake.  A remote attacker could possibly use this flaw to gain access to certain sensitive information by manipulating TLS handshake messages.

Comment 1 Tomas Hoger 2019-07-16 20:12:31 UTC
Public now via Oracle CPU July 2019:

https://www.oracle.com/technetwork/security-advisory/cpujul2019-5072835.html#AppendixJAVA

Fixed in Oracle Java SE 12.0.2 and 11.0.4.

Comment 2 errata-xmlrpc 2019-07-22 12:40:03 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2019:1817 https://access.redhat.com/errata/RHSA-2019:1817

Comment 3 errata-xmlrpc 2019-07-22 12:40:25 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2019:1810 https://access.redhat.com/errata/RHSA-2019:1810

Comment 4 Tomas Hoger 2019-10-02 08:48:13 UTC
OpenJDK-11 upstream commit:
http://hg.openjdk.java.net/jdk-updates/jdk11u/rev/6a4d57474e1c